/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_DECK_H
#define OCARINA_DECK_H

#include <playlist.h>

namespace deck
{

	void read(File &);
	void write(File &);

	Playlist *create();
	void remove(unsigned int);
	Playlist *get(unsigned int);
	void move(unsigned int, unsigned int);
	unsigned int next();

#ifdef CONFIG_DEBUG
	void reset();
	void print_info();
#endif /* CONFIG_DEBUG */

};

#endif /* OCARINA_DECK_H */
