/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_FILTER_H
#define OCARINA_FILTER_H

#include <database.h>
#include <string>

namespace filter {

	void add(const std::string &, unsigned int);
	void search(const std::string &, std::set<unsigned int> &);

	void print_cache_stats();

#ifdef CONFIG_TEST
	Database<IndexEntry, const std::string> &get_index();
#endif /* CONFIG_TEST */

};

#endif /* OCARINA_FILTER_H */
