/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_AUDIO_H
#define OCARINA_AUDIO_H

extern "C" {
	#include <gst/gst.h>
}

namespace audio
{

	void init(int *, char ***);
	void quit();

	bool play();
	bool pause();
	bool stop();
	bool next();
	unsigned int current_trackid();

	bool seek_to(long);
	long position();
	long duration();

	void pause_after(bool, unsigned int);
	bool pause_enabled();
	unsigned int pause_count();
};

#endif /* OCARINA_AUDIO_H */
