/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_GROUP_H
#define OCARINA_GROUP_H

#include <list>
#include <set>
#include <string>

namespace group
{

	void add(const std::string &, unsigned int);
	void del(const std::string &, unsigned int);
	void list(std::list<std::string> &);
	const std::set<unsigned int> &get_tracks(const std::string &);

};

#endif /* OCARINA_GROUP_H */
